QwtRichTextEngine(3)

NAME
QwtRichTextEngine - A text engine for Qt rich texts.

SYNOPSIS

#include <qwt_text_engine.h>

Inherits QwtTextEngine.

  Public Member Functions
QwtRichTextEngine ()
Constructor.
virtual double heightForWidth (const QFont &font, int flags, const QString &text, double width) const override
virtual QSizeF textSize (const QFont &font, int flags, const QString &text) const override
virtual void draw (QPainter *, const QRectF &rect, int flags, const QString &text) const override
virtual bool mightRender (const QString &) const override
virtual void textMargins (const QFont &, const QString &, double &left, double &right, double &top, double &bottom) const override

  Additional Inherited Members

Detailed Description

A text engine for Qt rich texts. QwtRichTextEngine renders Qt rich texts using the classes of the Scribe framework of Qt.

Definition at line 147 of file qwt_text_engine.h.

Member Function Documentation

  void QwtRichTextEngine::draw (QPainter * painter, const QRectF & rect, int flags, const QString & text) const [override], [virtual]
Draw the text in a clipping rectangle

Parameters
    painter Painter
    rect Clipping rectangle
    flags Bitwise OR of the flags like in for QPainter::drawText()
    text Text to be rendered

Implements QwtTextEngine.

Definition at line 305 of file qwt_text_engine.cpp.

  double QwtRichTextEngine::heightForWidth (const QFont & font, int flags, const QString & text, double width) const [override], [virtual]
Find the height for a given width

Parameters
    font Font of the text
    flags Bitwise OR of the flags used like in QPainter::drawText()
    text Text to be rendered
    width Width

Returns
    Calculated height

Implements QwtTextEngine.

Definition at line 262 of file qwt_text_engine.cpp.

  bool QwtRichTextEngine::mightRender (const QString & text) const [override], [virtual]
Test if a string can be rendered by this text engine

Parameters
    text Text to be tested

Returns
    Qt::mightBeRichText(text);

Implements QwtTextEngine.

Definition at line 331 of file qwt_text_engine.cpp.

  void QwtRichTextEngine::textMargins (const QFont &, const QString &, double & left, double & right, double & top, double & bottom) const [override], [virtual]
Return margins around the texts

Parameters
    left Return 0
    right Return 0
    top Return 0
    bottom Return 0

Implements QwtTextEngine.

Definition at line 344 of file qwt_text_engine.cpp.

  QSizeF QwtRichTextEngine::textSize (const QFont & font, int flags, const QString & text) const [override], [virtual]
Returns the size, that is needed to render text

Parameters
    font Font of the text
    flags Bitwise OR of the flags used like in QPainter::drawText()
    text Text to be rendered

Returns
    Calculated size

Implements QwtTextEngine.

Definition at line 281 of file qwt_text_engine.cpp.

Author

Generated automatically by Doxygen for Qwt User's Guide from the source code.